zenilib: zenilib/jni/external/angle/src/compiler/glslang_tab.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Enumerations | Functions
glslang_tab.h File Reference

Go to the source code of this file.

## Macros

#define | YYDEBUG 0
#define | YYLTYPE TSourceLoc
#define | YYLTYPE_IS_DECLARED 1
#define | yystype YYSTYPE /* obsolescent; will be withdrawn */
#define | YYSTYPE_IS_DECLARED 1
#define | YYSTYPE_IS_TRIVIAL 1
#define | YYTOKENTYPE

## Typedefs

typedef union YYSTYPE | YYSTYPE

## Enumerations

enum

yytokentype {
INVARIANT = 258, HIGH_PRECISION = 259, MEDIUM_PRECISION = 260, LOW_PRECISION = 261,
PRECISION = 262, ATTRIBUTE = 263, CONST_QUAL = 264, BOOL_TYPE = 265,
FLOAT_TYPE = 266, INT_TYPE = 267, BREAK = 268, CONTINUE = 269,
DO = 270, ELSE = 271, FOR = 272, IF = 273,
DISCARD = 274, RETURN = 275, BVEC2 = 276, BVEC3 = 277,
BVEC4 = 278, IVEC2 = 279, IVEC3 = 280, IVEC4 = 281,
VEC2 = 282, VEC3 = 283, VEC4 = 284, MATRIX2 = 285,
MATRIX3 = 286, MATRIX4 = 287, IN_QUAL = 288, OUT_QUAL = 289,
INOUT_QUAL = 290, UNIFORM = 291, VARYING = 292, STRUCT = 293,
VOID_TYPE = 294, WHILE = 295, SAMPLER2D = 296, SAMPLERCUBE = 297,
SAMPLER_EXTERNAL_OES = 298, SAMPLER2DRECT = 299, IDENTIFIER = 300, TYPE_NAME = 301,
FLOATCONSTANT = 302, INTCONSTANT = 303, BOOLCONSTANT = 304, LEFT_OP = 305,
RIGHT_OP = 306, INC_OP = 307, DEC_OP = 308, LE_OP = 309,
GE_OP = 310, EQ_OP = 311, NE_OP = 312, AND_OP = 313,
OR_OP = 314, XOR_OP = 315, MUL_ASSIGN = 316, DIV_ASSIGN = 317,
ADD_ASSIGN = 318, MOD_ASSIGN = 319, LEFT_ASSIGN = 320, RIGHT_ASSIGN = 321,
AND_ASSIGN = 322, XOR_ASSIGN = 323, OR_ASSIGN = 324, SUB_ASSIGN = 325,
LEFT_PAREN = 326, RIGHT_PAREN = 327, LEFT_BRACKET = 328, RIGHT_BRACKET = 329,
LEFT_BRACE = 330, RIGHT_BRACE = 331, DOT = 332, COMMA = 333,
COLON = 334, EQUAL = 335, SEMICOLON = 336, BANG = 337,
DASH = 338, TILDE = 339, PLUS = 340, STAR = 341,
SLASH = 342, PERCENT = 343, LEFT_ANGLE = 344, RIGHT_ANGLE = 345,
VERTICAL_BAR = 346, CARET = 347, AMPERSAND = 348, QUESTION = 349,
INVARIANT = 258, HIGH_PRECISION = 259, MEDIUM_PRECISION = 260, LOW_PRECISION = 261,
PRECISION = 262, ATTRIBUTE = 263, CONST_QUAL = 264, BOOL_TYPE = 265,
FLOAT_TYPE = 266, INT_TYPE = 267, BREAK = 268, CONTINUE = 269,
DO = 270, ELSE = 271, FOR = 272, IF = 273,
DISCARD = 274, RETURN = 275, BVEC2 = 276, BVEC3 = 277,
BVEC4 = 278, IVEC2 = 279, IVEC3 = 280, IVEC4 = 281,
VEC2 = 282, VEC3 = 283, VEC4 = 284, MATRIX2 = 285,
MATRIX3 = 286, MATRIX4 = 287, IN_QUAL = 288, OUT_QUAL = 289,
INOUT_QUAL = 290, UNIFORM = 291, VARYING = 292, STRUCT = 293,
VOID_TYPE = 294, WHILE = 295, SAMPLER2D = 296, SAMPLERCUBE = 297,
SAMPLER_EXTERNAL_OES = 298, SAMPLER2DRECT = 299, IDENTIFIER = 300, TYPE_NAME = 301,
FLOATCONSTANT = 302, INTCONSTANT = 303, BOOLCONSTANT = 304, LEFT_OP = 305,
RIGHT_OP = 306, INC_OP = 307, DEC_OP = 308, LE_OP = 309,
GE_OP = 310, EQ_OP = 311, NE_OP = 312, AND_OP = 313,
OR_OP = 314, XOR_OP = 315, MUL_ASSIGN = 316, DIV_ASSIGN = 317,
ADD_ASSIGN = 318, MOD_ASSIGN = 319, LEFT_ASSIGN = 320, RIGHT_ASSIGN = 321,
AND_ASSIGN = 322, XOR_ASSIGN = 323, OR_ASSIGN = 324, SUB_ASSIGN = 325,
LEFT_PAREN = 326, RIGHT_PAREN = 327, LEFT_BRACKET = 328, RIGHT_BRACKET = 329,
LEFT_BRACE = 330, RIGHT_BRACE = 331, DOT = 332, COMMA = 333,
COLON = 334, EQUAL = 335, SEMICOLON = 336, BANG = 337,
DASH = 338, TILDE = 339, PLUS = 340, STAR = 341,
SLASH = 342, PERCENT = 343, LEFT_ANGLE = 344, RIGHT_ANGLE = 345,
VERTICAL_BAR = 346, CARET = 347, AMPERSAND = 348, QUESTION = 349,
TOK_CONST_INT = 258, TOK_OP_OR = 259, TOK_OP_AND = 260, TOK_OP_NE = 261,
TOK_OP_EQ = 262, TOK_OP_GE = 263, TOK_OP_LE = 264, TOK_OP_RIGHT = 265,
TOK_OP_LEFT = 266, TOK_UNARY = 267
}

## Functions

int | yyparse ()

## Macro Definition Documentation

#define YYDEBUG 0

Definition at line 37 of file glslang_tab.h.

#define YYLTYPE TSourceLoc

Definition at line 45 of file glslang_tab.h.

#define YYLTYPE_IS_DECLARED 1

Definition at line 46 of file glslang_tab.h.

#define yystype YYSTYPE /* obsolescent; will be withdrawn */

Definition at line 190 of file glslang_tab.h.

#define YYSTYPE_IS_DECLARED 1

Definition at line 191 of file glslang_tab.h.

#define YYSTYPE_IS_TRIVIAL 1

Definition at line 189 of file glslang_tab.h.

#define YYTOKENTYPE

Definition at line 53 of file glslang_tab.h.

## Typedef Documentation

typedef union YYSTYPE YYSTYPE

## Enumeration Type Documentation

enum yytokentype

Enumerator
INVARIANT |
HIGH_PRECISION |
MEDIUM_PRECISION |
LOW_PRECISION |
PRECISION |
ATTRIBUTE |
CONST_QUAL |
BOOL_TYPE |
FLOAT_TYPE |
INT_TYPE |
BREAK |
CONTINUE |
DO |
ELSE |
FOR |
IF |
DISCARD |
RETURN |
BVEC2 |
BVEC3 |
BVEC4 |
IVEC2 |
IVEC3 |
IVEC4 |
VEC2 |
VEC3 |
VEC4 |
MATRIX2 |
MATRIX3 |
MATRIX4 |
IN_QUAL |
OUT_QUAL |
INOUT_QUAL |
UNIFORM |
VARYING |
STRUCT |
VOID_TYPE |
WHILE |
SAMPLER2D |
SAMPLERCUBE |
SAMPLER_EXTERNAL_OES |
SAMPLER2DRECT |
IDENTIFIER |
TYPE_NAME |
FLOATCONSTANT |
INTCONSTANT |
BOOLCONSTANT |
LEFT_OP |
RIGHT_OP |
INC_OP |
DEC_OP |
LE_OP |
GE_OP |
EQ_OP |
NE_OP |
AND_OP |
OR_OP |
XOR_OP |
MUL_ASSIGN |
DIV_ASSIGN |
ADD_ASSIGN |
MOD_ASSIGN |
LEFT_ASSIGN |
RIGHT_ASSIGN |
AND_ASSIGN |
XOR_ASSIGN |
OR_ASSIGN |
SUB_ASSIGN |
LEFT_PAREN |
RIGHT_PAREN |
LEFT_BRACKET |
RIGHT_BRACKET |
LEFT_BRACE |
RIGHT_BRACE |
DOT |
COMMA |
COLON |
EQUAL |
SEMICOLON |
BANG |
DASH |
TILDE |
PLUS |
STAR |
SLASH |
PERCENT |
LEFT_ANGLE |
RIGHT_ANGLE |
VERTICAL_BAR |
CARET |
AMPERSAND |
QUESTION |
INVARIANT |
HIGH_PRECISION |
MEDIUM_PRECISION |
LOW_PRECISION |
PRECISION |
ATTRIBUTE |
CONST_QUAL |
BOOL_TYPE |
FLOAT_TYPE |
INT_TYPE |
BREAK |
CONTINUE |
DO |
ELSE |
FOR |
IF |
DISCARD |
RETURN |
BVEC2 |
BVEC3 |
BVEC4 |
IVEC2 |
IVEC3 |
IVEC4 |
VEC2 |
VEC3 |
VEC4 |
MATRIX2 |
MATRIX3 |
MATRIX4 |
IN_QUAL |
OUT_QUAL |
INOUT_QUAL |
UNIFORM |
VARYING |
STRUCT |
VOID_TYPE |
WHILE |
SAMPLER2D |
SAMPLERCUBE |
SAMPLER_EXTERNAL_OES |
SAMPLER2DRECT |
IDENTIFIER |
TYPE_NAME |
FLOATCONSTANT |
INTCONSTANT |
BOOLCONSTANT |
LEFT_OP |
RIGHT_OP |
INC_OP |
DEC_OP |
LE_OP |
GE_OP |
EQ_OP |
NE_OP |
AND_OP |
OR_OP |
XOR_OP |
MUL_ASSIGN |
DIV_ASSIGN |
ADD_ASSIGN |
MOD_ASSIGN |
LEFT_ASSIGN |
RIGHT_ASSIGN |
AND_ASSIGN |
XOR_ASSIGN |
OR_ASSIGN |
SUB_ASSIGN |
LEFT_PAREN |
RIGHT_PAREN |
LEFT_BRACKET |
RIGHT_BRACKET |
LEFT_BRACE |
RIGHT_BRACE |
DOT |
COMMA |
COLON |
EQUAL |
SEMICOLON |
BANG |
DASH |
TILDE |
PLUS |
STAR |
SLASH |
PERCENT |
LEFT_ANGLE |
RIGHT_ANGLE |
VERTICAL_BAR |
CARET |
AMPERSAND |
QUESTION |
TOK_CONST_INT |
TOK_OP_OR |
TOK_OP_AND |
TOK_OP_NE |
TOK_OP_EQ |
TOK_OP_GE |
TOK_OP_LE |
TOK_OP_RIGHT |
TOK_OP_LEFT |
TOK_UNARY |

Definition at line 56 of file glslang_tab.h.

## Function Documentation

int yyparse | ( |  | ) |